Genes Structure
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes-structureimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes-structure"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes-structure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"name": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"strand": "<string>",
"type": "<string>",
"gene_id": "<string>",
"gene_name": "<string>",
"transcript_id": "<string>",
"transcript_name": "<string>",
"exon_number": "<string>",
"exon_id": "<string>",
"organism": "<string>",
"source": "<string>",
"version": "<string>",
"source_url": "<string>",
"protein_id": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genes Structure
Retrieve genes structure.
you can filter by one of the four categories: gene, transcript, protein or region.
Example: organism = Homo sapiens,
region = chr1:212565300-212620800,
gene_id = ENSG00000187642 (Ensembl ids),
gene_name = ATF3,
transcript_id = ENST00000443707 (Ensembl ids),
type = exon,
protein_id = ENSP00000305769,
protein_name = SMAD1.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Genes Structure
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes-structureimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes-structure"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes-structure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"name": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"strand": "<string>",
"type": "<string>",
"gene_id": "<string>",
"gene_name": "<string>",
"transcript_id": "<string>",
"transcript_name": "<string>",
"exon_number": "<string>",
"exon_id": "<string>",
"organism": "<string>",
"source": "<string>",
"version": "<string>",
"source_url": "<string>",
"protein_id": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
CDS, UTR, exon, intron, start_codon, stop_codon Available options:
Mus musculus, Homo sapiens Response
Successful response